Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# Notify Class Reference

An object that handles general error reporting to the user. More...

List of all members.

## Public Member Functions
| Notify ()
| clearAssertFailed ()
| clearAssertHandler ()
string | getAssertErrorMessage ()
| getAssertHandler ()
NotifyCategory | getCategory (string basename, string parent_fullname)
NotifyCategory | getCategory (string fullname)
NotifyCategory | getCategory (string basename, NotifyCategory parent_category)
ostream | getOstreamPtr ()
NotifyCategory | getTopCategory ()
bool | hasAssertFailed ()
bool | hasAssertHandler ()
| setOstreamPtr (ostream ostream_ptr, bool delete_later)
## Static Public Member Functions
static ostream | null ()
static ostream | out ()
static Notify | ptr ()
static | writeString (string str)

## Detailed Description

An object that handles general error reporting to the user.

It contains a pointer to an ostream, initially cerr, which can be reset at will to point to different output devices, according to the needs of the application. All output generated within Panda should vector through the Notify ostream.

This also includes a collection of Categories and Severities, which may be independently enabled or disabled, so that error messages may be squelched or respected according to the wishes of the user.

## Constructor & Destructor Documentation

Notify | ( |  | ) |

## Member Function Documentation

clearAssertFailed | ( |  | ) |

clearAssertHandler | ( |  | ) |

string getAssertErrorMessage | ( |  | ) |

getAssertHandler | ( |  | ) |

NotifyCategory getCategory | ( | string | fullname | ) |

NotifyCategory getCategory | ( | string | basename,
|  | NotifyCategory | parent_category
| ) |  |

NotifyCategory getCategory | ( | string | basename,
|  | string | parent_fullname
| ) |  |

ostream getOstreamPtr | ( |  | ) |

NotifyCategory getTopCategory | ( |  | ) |

bool hasAssertFailed | ( |  | ) |

bool hasAssertHandler | ( |  | ) |

static ostream null | ( |  | ) | `[static]`

static ostream out | ( |  | ) | `[static]`

static Notify ptr | ( |  | ) | `[static]`

setOstreamPtr | ( | ostream | ostream_ptr,
|  | bool | delete_later
| ) |  |

static writeString | ( | string | str | ) | `[static]`

All Classes Namespaces Functions Variables Enumerations Enumerator Properties